Skip to main content
GET
/
api
/
v1
/
tags
GET tags instances
curl --request GET \
  --url https://app.onecodex.com/api/v1/tags \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.onecodex.com/api/v1/tags"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.onecodex.com/api/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "$uri": "/api/v1/tags/a1b2c3d4e5f67890",
    "name": "<string>"
  }
]
GET all tags. Returns a paginated list of tags.

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number. Defaults to 1. See Pagination for more details.

per_page
integer<int32>
default:50

Number of requested paginated records. Defaults to 50. See Pagination for more details.

sort
object

Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)

where
object

Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}

Response

200 - application/json

Successful operation

$uri
string
Pattern: ^/api/v1/tags\/[^/]+$
Example:

"/api/v1/tags/a1b2c3d4e5f67890"

name
string

The tag label or name. Name must be 30 characters or fewer.

Maximum string length: 30